//$(function(){
//    //模态框左侧导航样式滚动
//    lanPosScroll();
//})
//模态框左侧导航样式滚动
function lanPosScroll() {
    /*右侧区域滚动切换*/
    var index = 0;              //索引值
    var shortcutBox = $('.modal .modal-dialog .shortcut-add-box');              //快捷方式展示区
    var shortcutBoxList = $('.shortcut-add-box-right .shortcut-element-list');  //快捷方式列表

    $('.lanPos').css('top',$('.shortcut-add-box-left .active').position().top);
    $('.shortcut-add-box-left ul li').hover(function(){
        $('.lanPos').css('top',$(this).position().top);
    },function(){
        $('.lanPos').css('top',$('.shortcut-add-box-left .active').position().top);
    })

    //为左侧导航添加active点击样式
    $('.shortcut-add-box-left ul li').click(function () {
        for(var i=0;i<$('.shortcut-add-box-left ul li').size();i++){
            if(this==$('.shortcut-add-box-left ul li').get(i)){
                $('.shortcut-add-box-left ul li').eq(i).addClass('active');
            }else{
                $('.shortcut-add-box-left ul li').eq(i).removeClass('active');
            }
        };
        index = $('.shortcut-add-box-left ul li').index(this);
        //索引右侧快捷方式列表,找到当前点击的列表
        var s_box_cur = shortcutBoxList.eq(index)
        var posi = s_box_cur.position();
        shortcutBox.animate({scrollTop:posi.top},200);
    })
};
 